import { BaseDatastore } from './base.js';
import type { Pair, Query, KeyQuery } from 'interface-datastore';
import type { Key } from 'interface-datastore/key';
import type { AbortOptions, Await, AwaitIterable } from 'interface-store';
export declare class BlackHoleDatastore extends BaseDatastore {
    put(key: Key, value: Uint8Array, options?: AbortOptions): Await<Key>;
    get(key: Key, options?: AbortOptions): Await<Uint8Array>;
    has(key: Key, options?: AbortOptions): Await<boolean>;
    delete(key: Key, options?: AbortOptions): Await<void>;
    _all(q: Query, options?: AbortOptions): AwaitIterable<Pair>;
    _allKeys(q: KeyQuery, options?: AbortOptions): AwaitIterable<Key>;
}
//# sourceMappingURL=black-hole.d.ts.map