import { NotFoundError } from 'interface-store';
import { BaseDatastore } from './base.js';
export class BlackHoleDatastore extends BaseDatastore {
    put(key, value, options) {
        options?.signal?.throwIfAborted();
        return key;
    }
    get(key, options) {
        options?.signal?.throwIfAborted();
        throw new NotFoundError();
    }
    has(key, options) {
        options?.signal?.throwIfAborted();
        return false;
    }
    delete(key, options) {
        options?.signal?.throwIfAborted();
    }
    // eslint-disable-next-line require-yield
    *_all(q, options) {
        options?.signal?.throwIfAborted();
    }
    // eslint-disable-next-line require-yield
    *_allKeys(q, options) {
        options?.signal?.throwIfAborted();
    }
}
//# sourceMappingURL=black-hole.js.map